Bug 1179352 - Utilize system-wide crypto-policies
Summary: Utilize system-wide crypto-policies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-crypto-policies
TreeView+ depends on / blocked
 
Reported: 2015-01-06 15:12 UTC by Nikos Mavrogiannopoulos
Modified: 2016-11-21 14:27 UTC (History)
4 users (show)

Fixed In Version: xen-4.4.2-9.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 06:57:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2015-01-06 15:12:31 UTC
Please convert this application to use the system's crypto policy for SSL and TLS:
https://fedoraproject.org/wiki/Packaging:CryptoPolicies

If this program is compiled against gnutls, change the default priority string to be "@SYSTEM" or to use gnutls_set_default_priority().

If this program is compiled against openssl, and there is no default cipher list specified, you don't need to modify it. Otherwise replace the default cipher list with "PROFILE=SYSTEM".

In both cases please verify that the application uses the system's crypto policies.

If the package is already using the system-wide crypto policies, or it does not use SSL or TLS, no action is required, the bug can simply be closed.

Comment 1 Nikos Mavrogiannopoulos 2015-07-09 15:00:19 UTC
Hello, what is the blocker for that issue?

Comment 2 Fedora Update System 2015-07-23 21:22:46 UTC
xen-4.5.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xen-4.5.1-3.fc22

Comment 3 Fedora Update System 2015-07-25 20:38:22 UTC
xen-4.4.2-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xen-4.4.2-8.fc21

Comment 4 Fedora Update System 2015-08-02 18:01:13 UTC
xen-4.5.1-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xen-4.5.1-5.fc22

Comment 5 Fedora Update System 2015-08-02 20:25:58 UTC
xen-4.4.2-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xen-4.4.2-9.fc21

Comment 6 Fedora Update System 2015-08-03 04:31:33 UTC
Package xen-4.5.1-5.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xen-4.5.1-5.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12657/xen-4.5.1-5.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-08-12 06:57:21 UTC
xen-4.5.1-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-12 07:01:00 UTC
xen-4.4.2-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Michael Young 2016-11-21 14:27:55 UTC
The updates above fixed the gnutls configuration, and current packages pass the dist.rpmgrill.security-policy test.


Note You need to log in before you can comment on or make changes to this bug.